wayland::server::global_t< resource >(3)

NAME
wayland::server::global_t< resource >

SYNOPSIS

#include <wayland-server.hpp>

Inherits wayland::server::global_base_t.

  Public Member Functions

global_t (display_t &display, unsigned int version=resource::max_version)
std::function< void(client_t, resource)> & on_bind ()
template<typename resource > bool has_interface ()

Detailed Description

  template<class resource>
class wayland::server::global_t< resource >"Global object.

Template Parameters
    resource Resource class whose interface shall be used

Definition at line 625 of file wayland-server.hpp.

Constructor & Destructor Documentation

  template<class resource > wayland::server::global_t< resource >::global_t (display_t & display, unsigned int version = resource::max_version) [inline]
Create a global object

Parameters
    display Parent display object
    version Interface version

Definition at line 650 of file wayland-server.hpp.

Member Function Documentation

  template<typename resource > bool wayland::server::global_base_t::has_interface () [inline], [inherited]
Check for specific interface.

Template Parameters
    resource Resource class for comparison

Returns
    true if the global has the same interface as the resource class

Definition at line 614 of file wayland-server.hpp.

  template<class resource > std::function< void(client_t, resource)> & wayland::server::global_t< resource >::on_bind () [inline]
Adds a listener for the bind signal.

When a client binds to a global object, registered listeners will be notified, carrying the client_t object and the new resource_t object.

Definition at line 661 of file wayland-server.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.